Docs › API reference › Identity verification
Enrol selfie
Submits the user's selfie for the session.
POST
https://api.screenlyyid.com/api/v1/enrolment/faceHeaders#
| Name | Type | Required | Description |
|---|---|---|---|
x-api-key | string | Yes | Your ScreenlyyID API key |
x-correlation-id | string (uuid) | Yes | Correlation ID for this customer check |
x-session-id | string | Yes | Provider session ID |
Request body#
| Field | Type | Required | Description |
|---|---|---|---|
ImageBase | string | No |
Responses#
| Status | Description |
|---|---|
200 | Successful response |
Code samples#
curl --request POST \
--url 'https://api.screenlyyid.com/api/v1/enrolment/face' \
--header 'x-api-key: YOUR_API_KEY' \
--header 'x-correlation-id: YOUR_CORRELATION_ID' \
--header 'x-session-id: YOUR_SESSION_ID' \
--header 'Content-Type: application/json' \
--data '{
"ImageBase": "<base64-encoded image>"
}'const body = {
"ImageBase": "<base64-encoded image>"
};
const response = await fetch(
"https://api.screenlyyid.com/api/v1/enrolment/face",
{
"method": "POST",
"headers": {
"x-api-key": "YOUR_API_KEY",
"x-correlation-id": "YOUR_CORRELATION_ID",
"x-session-id": "YOUR_SESSION_ID",
"Content-Type": "application/json"
},
"body": JSON.stringify(body)
}
);
const result = await response.json();import requests
payload = {
"ImageBase": "<base64-encoded image>"
}
response = requests.post(
'https://api.screenlyyid.com/api/v1/enrolment/face',
headers={
"x-api-key": "YOUR_API_KEY",
"x-correlation-id": "YOUR_CORRELATION_ID",
"x-session-id": "YOUR_SESSION_ID"
},
json=payload
)
result = response.json()using System.Text;
using var client = new HttpClient();
client.DefaultRequestHeaders.Add("x-api-key", "YOUR_API_KEY");
client.DefaultRequestHeaders.Add("x-correlation-id", "YOUR_CORRELATION_ID");
client.DefaultRequestHeaders.Add("x-session-id", "YOUR_SESSION_ID");
var json = @"{
""ImageBase"": ""<base64-encoded image>""
}";
var content = new StringContent(json, Encoding.UTF8, "application/json");
var response = await client.PostAsync("https://api.screenlyyid.com/api/v1/enrolment/face", content);
response.EnsureSuccessStatusCode();
var result = await response.Content.ReadAsStringAsync();